### Enumeration

# Gdk ScrollDirection

#### Declaration

    enum Gdk.ScrollDirection

#### Description [src]

Specifies the direction for scroll events.

#### Members

Name | Description
--- | ---
`GDK_SCROLL_UP` | The surface is scrolled up.
`GDK_SCROLL_DOWN` | The surface is scrolled down.
`GDK_SCROLL_LEFT` | The surface is scrolled to the left.
`GDK_SCROLL_RIGHT` | The surface is scrolled to the right.
`GDK_SCROLL_SMOOTH` | The scrolling is determined by the delta values in scroll events. See gdk_scroll_event_get_deltas().